<?php

namespace App\Console\Commands;

use App\Repositories\Models\Area\Area;
use App\Repositories\Models\Base\Resource;
use App\Repositories\Models\Course\Chapter;
use App\Repositories\Models\Course\Course;
use App\Repositories\Models\Course\Video;
use App\Repositories\Models\TCM\Combinations;
use App\Repositories\Models\TCM\Prescription;
use App\Repositories\Models\TCM\Recipels;
use App\Services\CombinationService;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Storage;

/**
 * Class PresenterCommand
 * @package Prettus\Repository\Generators\Commands
 * @author Anderson Andrade <contato@andersonandra.de>
 */
class InitCourseCommand extends Command
{

    public static $COURSE_MAPS = [
        '中医基础理论' => [
            'name' => 'zhongyililunjichu',
            'chapter' => [
                '绪论' => 'introduction',
                '哲学基础' => 'philosophical-basis',
                '藏象' => 'zangxiang',
                '精 气 血 津液' => 'bodyfluid',
                '经络' => 'jingluo',
                '体质' => 'constitution',
                '病因' => 'pathogeny',
                '病机' => 'bingji',
                '养生防治' => 'health',
            ]
        ]
    ];
    /**
     * The name of command.
     *
     * @var string
     */
    protected $name = 'init:course';
    /**
     * The description of command.
     *
     * @var string
     */
    protected $description = 'Create a new course.';
    /**
     * The type of class being generated.
     *
     * @var string
     */
    protected $type = 'course';

    /**
     * Execute the command.
     *
     * @return void
     * @see fire()
     */
    public function handle()
    {
//        $course_name = '中医基础理论';
//        $course_map = self::$COURSE_MAPS['中医基础理论'];
//
//        $videos = Video::query()->where('course_id', 1)->get()->groupBy('course_chapter_id');
//        foreach ($videos as $course_chapter_id => $video) {
//            $chapter_name = Chapter::query()->where('id', $course_chapter_id)->value('title');
//            $chapter_name = str_replace(" ", "", $chapter_name);
//            $this->line($chapter_name);
//            foreach ($video as $item) {
//
////                $num = $this->number($item->title);
//                $num = $this->getNumber($item->slug);
//
//                if (in_array($chapter_name, array_keys($course_map['chapter']))) {
//                    $key = $course_map['chapter'][$chapter_name];
//                    $path = 'course_video' . DIRECTORY_SEPARATOR . $course_map['name'] . DIRECTORY_SEPARATOR . $key . DIRECTORY_SEPARATOR . $key . '-' . $num . '.mp4';
//                    $zh_path = 'course_video' . DIRECTORY_SEPARATOR . $course_map['name'] . DIRECTORY_SEPARATOR . $key . DIRECTORY_SEPARATOR . $key . '-' . $num . '.srt';
//                    if (Storage::disk('public')->exists($path)) {
//                        $re = Resource::query()->create([
//                            'url' => Storage::disk('public')->url($path),
//                            'path' => $path,
//                            'name' => $key . '-' . $num . '.mp4',
//                            'disk' => 'public',
//                            'original_name' => $key . '-' . $num . '.mp4',
//                            'status' => 1,
//                        ]);
//                        $item->url = $re->id;
//                    }
//
//                    if (Storage::disk('public')->exists($zh_path)) {
//                        $re = Resource::query()->create([
//                            'url' => Storage::disk('public')->url($zh_path),
//                            'path' => $zh_path,
//                            'name' => $key . '-' . $num . '.srt',
//                            'disk' => 'public',
//                            'original_name' => $key . '-' . $num . '.srt',
//                            'status' => 1,
//                        ]);
//                        $item->subtitle_zh_path = $re->id;
//                    }
//                    $item->save();
//                }
//            }
//        }

//        $resources = Resource::query()->where('name', 'like', '%.srt')->get();
//        foreach ($resources as $resource) {
//            $resource->name = $this->srt2vtt($resource->name);
//            $resource->original_name = $this->srt2vtt($resource->original_name);
//            $resource->path = $this->srt2vtt($resource->path);
//            $resource->url = $this->srt2vtt($resource->url);
//            $resource->save();
//        }


//        $areas = Area::query()->get();
//        $cs = [
//            '#11FF00',
//            '#FFFF01',
//            '#FF9600',
//            '#FF0004',
//            '#FF00FF',
//        ];
//        foreach ($areas as $key => $area) {
//            $area->line_color = '#B24DE2';
//            $area->area_color = $cs[$key % 5];
//            $area->save();
//        }

        $this->line('ok');
    }

    public function srt2vtt($str)
    {
        return str_replace('.srt', '.vtt', $str);
    }

    public function number($str)
    {
        return preg_replace('/[^\.0123456789]/s', '', $str);
    }

    public function getNumber($str)
    {
        $arr = explode('-', $str);
        return (int)$arr[0] . '.' . (int)$arr[1] . '.' . (int)$arr[2];
    }
}
