<?php

namespace App\Http\Controllers\Api\Area;

use App\Http\Controllers\Controller;
use App\Repositories\Enums\ModelStatusEnum;
use App\Repositories\Models\Area\Point;
use App\Repositories\Models\Model;
use Illuminate\Http\Request;
use Jiannei\Response\Laravel\Support\Facades\Response;

/**
 * Class PointsController.
 *
 * @package namespace App\Http\Controllers\Area;
 */
class PointsController extends Controller
{
    public function index(Request $request)
    {
        $this->validate($request, [
            'area_id' => 'required|integer',
        ]);

        $id = $request->get('area_id');

        $points = Point::query()->select(['id', 'cover', 'body', 'name'])->where('area_id', $id)->where('parent_id', 0)->where('status', ModelStatusEnum::OK)->get();

        return Response::success($points);
    }

    public function children(Request $request)
    {
        $this->validate($request, [
            'area_id' => 'required|integer',
            'id' => 'required|integer',
        ]);

        $area_id = $request->get('area_id');
        $id = $request->get('id');

        $points = Point::query()->select(['id', 'cover', 'body', 'name'])->where('area_id', $area_id)->where('parent_id', $id)->where('status', ModelStatusEnum::OK)->get();

        return Response::success($points);
    }
}
