<?php

namespace App\Repositories\Eloquent\Area;

use App\Repositories\Criteria\Area\AreaCriteria;
use App\Repositories\Presenters\Area\AreaPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Area\AreaRepository;
use App\Repositories\Models\Area\Area;
use App\Repositories\Validators\Area\AreaValidator;

/**
 * Class AreaRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Area;
 */
class AreaRepositoryEloquent extends BaseRepository implements AreaRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Area::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return AreaValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(AreaCriteria::class));
        $this->setPresenter(AreaPresenter::class);
    }

}
