<?php

namespace App\Repositories\Eloquent\Area;

use App\Repositories\Criteria\Area\PointCriteria;
use App\Repositories\Presenters\Area\PointPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Area\PointRepository;
use App\Repositories\Models\Area\Point;
use App\Repositories\Validators\Area\PointValidator;

/**
 * Class PointRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Area;
 */
class PointRepositoryEloquent extends BaseRepository implements PointRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Point::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return PointValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(PointCriteria::class));
        $this->setPresenter(PointPresenter::class);
    }

}
