<?php

namespace App\Repositories\Eloquent\Area;

use App\Repositories\Criteria\Area\ProjectsCriteria;
use App\Repositories\Presenters\Area\ProjectsPresenter;
use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Area\ProjectsRepository;
use App\Repositories\Models\Area\Projects;
use App\Repositories\Validators\Area\ProjectsValidator;

/**
 * Class ProjectsRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Area;
 */
class ProjectsRepositoryEloquent extends BaseRepository implements ProjectsRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return Projects::class;
    }

    /**
    * Specify Validator class name
    *
    * @return mixed
    */
    public function validator()
    {

        return ProjectsValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
        $this->pushCriteria(app(ProjectsCriteria::class));
        $this->skipPresenter(ProjectsPresenter::class);
    }

}
