<?php

namespace App\Repositories\Models\Area;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;
use SebastianBergmann\CodeCoverage\Report\Xml\Project;

/**
 * Class Point.
 *
 * @package namespace App\Repositories\Models\Area;
 */
class Point extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'area_points';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

    public function project()
    {
        return $this->belongsTo(Projects::class)->select(['id', 'name']);
    }

    public function area()
    {
        return $this->belongsTo(Area::class)->select(['id', 'name']);
    }

    public function getCoverAttribute($val)
    {
        return path_to_url($val);
    }
}
