<?php

namespace App\Repositories\Models\Course;

use App\Repositories\Models\Model;
use App\Repositories\Models\User\User;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Course.
 *
 * @package namespace App\Repositories\Models;
 */
class Collection extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'course_collection';


    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */

    protected $guarded = [];

    protected static function booted()
    {
        self::language();
    }

    public function user()
    {
        return $this->belongsTo(User::class)->select(['name', 'username', 'headimg']);
    }

    public function course()
    {
        return $this->belongsTo(Course::class)->select(['title', 'id']);
    }
}
