<?php

namespace App\Repositories\Models\Course;

use App\Repositories\Models\Base\Admin;
use App\Repositories\Models\Model;
use App\Repositories\Models\User\User;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class CourseComment.
 *
 * @package namespace App\Repositories\Models;
 */
class Comment extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'course_comments';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['course_id', 'course_video_id', 'content', 'user_id', 'points'];

    protected static function booted()
    {
        self::language();
    }

    public function user()
    {
        return $this->belongsTo(User::class)->select(['name', 'username', 'headimg']);
    }

    public function course()
    {
        return $this->belongsTo(Course::class)->select(['title', 'id']);
    }

    public function video()
    {
        return $this->belongsTo(Video::class, 'course_video_id', 'id')->select(['title', 'id']);
    }
}
