<?php

namespace App\Repositories\Models\Exam;

use App\Repositories\Models\Model;
use App\Repositories\Models\User\User;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class PaperResult.
 *
 * @package namespace App\Repositories\Models\Exam;
 */
class PaperResult extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'exam_paper_results';

    protected $casts = ['result' => 'array'];

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

    public function paper()
    {
        return $this->belongsTo(Paper::class)->select(['id', 'title', 'slug']);
    }

    public function user()
    {
        return $this->belongsTo(User::class)->select(['id', 'name', 'turename', 'mobile']);
    }
}
