<?php

namespace App\Repositories\Models;

use App\Repositories\Models\Course\Course;
use App\Repositories\Models\Course\Video;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class CourseVideo.
 *
 * @package namespace App\Repositories\Models;
 */
class UserVideoWatchRecord extends Model implements Transformable
{
    use TransformableTrait;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
//    protected $fillable = [];
    protected $guarded = [];


    public function getDurationTextAttribute()
    {
        return sec2time($this->attributes['duration']);
    }

    public function course()
    {
        return $this->belongsTo(Course::class);
    }

    public function video()
    {
        return $this->belongsTo(Video::class);
    }
}
