<?php

namespace App\Repositories\Transformers\Area;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Area\Projects;

/**
 * Class ProjectsTransformer.
 *
 * @package namespace App\Repositories\Transformers\Area;
 */
class ProjectsTransformer extends TransformerAbstract
{
    /**
     * Transform the Projects entity.
     *
     * @param \App\Repositories\Models\Area\Projects $model
     *
     * @return array
     */
    public function transform(Projects $model)
    {
        return [
            'id' => (int)$model->id,
            'name' => $model->name,
            'show_title' => $model->show_title,
            'sign' => $model->sign,
//            'end_time' => $model->end_time,
            'areas' => $model->areas,
            'super_areas' => $model->super_areas,
            'point' => $model->point,
            'zoom' => $model->zoom,
            's_zoom' => $model->s_zoom,
            'status' => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
