<?php

namespace App\Repositories\Transformers\Course;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Course\Chapter;

/**
 * Class CourseChapterTransformer.
 *
 * @package namespace App\Repositories\Transformers;
 */
class ChapterTransformer extends TransformerAbstract
{
    /**
     * Transform the CourseChapter entity.
     *
     * @param \App\Repositories\Models\Course\Chapter $model
     *
     * @return array
     */
    public function transform($model)
    {

        return [
            'id' => (int)$model->id,
            'title' => $model->title,
            'course' => $model->course,
            'sort' => (int)$model->sort,
            'humans' => $model->created_at->diffForHumans(),
//            'status' => (int)$model->status,

            /* place your other model properties here */

//            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
//            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
