<?php

namespace App\Repositories\Transformers\Course;

use App\Repositories\Enums\CourseCommentStatusEnum;
use App\Repositories\Enums\CourseRecEnum;
use App\Repositories\Enums\ModelStatusEnum;
use App\Repositories\Transformers\BaseTransformer;
use Carbon\Carbon;

/**
 * Class CourseTransformer.
 *
 * @package namespace App\Repositories\Transformers;
 */
class CourseTransformer extends BaseTransformer
{
    /**
     * 列表
     * @param $model
     * @return array
     * Author: Mead
     */
    public function lists($model)
    {
        return [
            'id' => (int)$model->id,
            'title' => $model->title,
//            'category_id' => $model->category_id,
            'category' => $model->category,
            'user' => $model->user,
//            'type' => $model->type,
//            'type_text' => CourseTypeEnum::getDescription($model->type),
            'labels' => str2arr($model->labels),
            'slug' => $model->slug,
//            'thumb' => $model->thumb,
            'thumb_resource' => $model->thumb_resource,
//            'description' => $model->description,
            'published_at' => $model->published_at,
//            'is_rec' => $model->is_rec,
            'is_rec_text' => CourseRecEnum::getDescription($model->is_rec),
            'user_count' => $model->user_count,
            'video_nums' => $model->video_nums,
//            'comment_status' => $model->comment_status,
//            'comment_status_text' => CourseCommentStatusEnum::getDescription($model->comment_status),
            'sort' => $model->sort,
            'status' => $model->status,

//            'watch_progress' => $model->subscribe ? $model->subscribe->progress : false,
            'watch_progress' => $model->watch_progress,
//            'status_test' => ModelStatusEnum::getDescription($model->status),
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'humans' => $model->created_at->diffForHumans(),
//            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }

    /**
     * 详情
     * @param $model
     * @return array
     * Author: Mead
     */
    public function detail($model)
    {
        return [
            'id' => (int)$model->id,
            'title' => $model->title,
            'category' => $model->category,
            'user' => $model->user,
//            'type' => $model->type,
//            'type_text' => CourseTypeEnum::getDescription($model->type),
            'labels' => str2arr($model->labels),
            'slug' => $model->slug,
//            'thumb' => $model->thumb,
            'thumb_resource' => $model->thumb_resource,
            'description' => $model->description,
            'published_at' => $model->published_at,
            'is_rec' => $model->is_rec,
            'is_rec_text' => CourseRecEnum::getDescription($model->is_rec),
            'user_count' => $model->user_count,
            'comment_status' => $model->comment_status,
            'comment_status_text' => CourseCommentStatusEnum::getDescription($model->comment_status),
            'sort' => $model->sort,
            'status' => $model->status,
            'video_nums' => $model->video_nums,
//            'watch_progress' => $model->subscribe ? $model->subscribe->progress : false,
            'watch_progress' => $model->watch_progress,
            'is_collection_status' => $model->is_collection_status,
            'status_test' => ModelStatusEnum::getDescription($model->status),
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'humans' => $model->created_at->diffForHumans(),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }
}
