<?php

namespace App\Repositories\Transformers\Exam;

use Carbon\Carbon;
use League\Fractal\TransformerAbstract;
use App\Repositories\Models\Exam\PaperResult;

/**
 * Class PaperResultTransformer.
 *
 * @package namespace App\Repositories\Transformers\Exam;
 */
class PaperResultTransformer extends TransformerAbstract
{
    /**
     * Transform the PaperResult entity.
     *
     * @param \App\Repositories\Models\Exam\PaperResult $model
     *
     * @return array
     */
    public function transform(PaperResult $model)
    {
        return [
            'id' => (int)$model->id,
            'user' => $model->user,
            'paper' => $model->paper,
            'result' => $model->result,
            'obiective_mark' => $model->obiective_mark,
            'subjective_mark' => $model->subjective_mark,
            'mark' => $model->mark,
            'total_mak' => $model->total_mak,
            'is_examines' => $model->is_examines,
            'status' => $model->status,
            /* place your other model properties here */

            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'humans' => $model->created_at->diffForHumans(),
        ];
    }
}
