<?php

namespace App\Repositories\Transformers\Exam;

use App\Repositories\Transformers\BaseTransformer;

/**
 * Class TopicTransformer.
 *
 * @package namespace App\Repositories\Transformers\Exam;
 */
class TopicTransformer extends BaseTransformer
{
    /**
     * Transform the Topic entity.
     *
     * @param \App\Repositories\Models\Exam\Topic $model
     *
     * @return array
     */
    public function lists($model)
    {
        return [
            'id' => (int)$model->id,
            'title' => $model->title,
            'category' => $model->category,
            'type' => $model->type,
            'level' => $model->level,
            'point' => $model->point,
            'body' => $model->body,
            'result' => $model->result,
            'analysis' => $model->analysis,
        ];
    }

    public function detail($model)
    {
        return [
            'id' => (int)$model->id,
            'title' => $model->title,
            'category' => $model->category,
            'type' => $model->type,
            'level' => $model->level,
            'point' => $model->point,
            'body' => $model->body,
            'result' => $model->result,
            'analysis' => $model->analysis,
            'is_open' => $model->is_open,
            'status' => $model->status,
        ];
    }

    public function options($model)
    {
        return [
            'id' => (int)$model->id,
            'title' => $model->title,
        ];
    }
}
