<?php

namespace App\Repositories\Transformers\Note;

use App\Repositories\Transformers\BaseTransformer;
use Carbon\Carbon;

/**
 * Class NoteTransformer.
 *
 * @package namespace App\Repositories\Transformers\Note;
 */
class NoteTransformer extends BaseTransformer
{

    public function lists($model)
    {
        return [
            'id' => (int)$model->id,
            "title" => $model->title,
            "course" => $model->course,
            "course_video" => $model->video,
            "tags" => $model->tags,
            "body" => mb_substr(strip_tags($model->body), 0, 200, 'utf-8'),
            "slug" => $model->slug,
            "is_release" => $model->is_release,
            "view_count" => $model->view_count,
            "comment_count" => $model->comment_count,
            "good_count" => $model->good_count,
//            "user_id" => $model->user_id,
            "user" => $model->user,
            'is_solve' => $model->type == 1 ? $model->is_solve : '--',
            "status" => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'humans' => $model->created_at->diffForHumans(),
//            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];
    }

    public function detail($model)
    {
        return [
            'id' => (int)$model->id,
            "title" => $model->title,
            "course" => $model->course,
            "course_video" => $model->video,
            "tags" => $model->tags,
            "slug" => $model->slug,
            "body" => $model->body,
            "is_release" => $model->is_release,
            "view_count" => $model->view_count,
            "comment_count" => $model->comment_count,
            "good_count" => $model->good_count,
//            "user_id" => $model->user_id,
            "user" => $model->user,
            'is_solve' => $model->type == 1 ? $model->is_solve : '--',
            "status" => $model->status,
            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
            'humans' => $model->created_at->diffForHumans(),
        ];
    }

}
