<?php

namespace App\Repositories\Transformers\User;

use App\Repositories\Enums\Base\RoleEnum;
use App\Repositories\Enums\SexEnum;
use App\Repositories\Models\User\User;
use League\Fractal\TransformerAbstract;

/**
 * Class StudentTransformer.
 *
 * @package namespace App\Repositories\Transformers\User;
 */
class UserTransformer extends TransformerAbstract
{
    /**
     * Transform the Student entity.
     *
     * @param \App\Repositories\Models\User\User $model
     *
     * @return array
     */
    public function transform(User $model)
    {
        $data = [
            'id' => (int)$model->id,
            'username' => $model->username,
            'name' => $model->name,
            'turename' => $model->turename,
            'headimg' => $model->headimg,
            'sex' => $model->sex,
            'sex_text' => SexEnum::getDescription($model->sex),
            'email' => $model->email,
            'role_id' => $model->role_id,
            'role' => RoleEnum::getDescription($model->role_id),
            'mobile' => $model->mobile,
            'intro' => $model->intro,
            'personal_signature' => $model->personal_signature,
            'userrate' => $model->userrate,
            'class' => $model->class,
//            'created_at' => $model->created_at->format(Carbon::DEFAULT_TO_STRING_FORMAT),
//            'updated_at' => $model->updated_at->format(Carbon::DEFAULT_TO_STRING_FORMAT)
        ];

        if (request('organization_id')) {
            $data['organization'] = $model->organization;
        }

        return $data;
    }
}
