<?php

namespace App\Repositories\Validators\Area;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class AreaValidator.
 *
 * @package namespace App\Repositories\Validators\Area;
 */
class AreaValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'body' => 'nullable|sometimes',
            'type' => 'required|integer',
            'shop_id' => 'sometimes|integer',
            'project_id' => 'required|integer',
            'parent_id' => 'required|integer',
            'line_color' => 'required',
            'fillOpacity' => 'required',
            'area_color' => 'required',
            'point' => 'required|array',
            'area' => 'required|array',
//            'area' => 'sometimes|nullable|array',
            'status' => 'nullable|sometimes|integer'
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'body' => 'nullable|sometimes',
            'type' => 'required|integer',
            'shop_id' => 'sometimes|integer',
            'parent_id' => 'sometimes|integer',
            'project_id' => 'required|integer',
            'line_color' => 'required',
            'fillOpacity' => 'required',
            'area_color' => 'required',
            'point' => 'required|array',
            'area' => 'required|array',
            'status' => 'nullable|sometimes|integer'
        ],
    ];
}
