<?php

namespace App\Repositories\Validators\Area;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class PointValidator.
 *
 * @package namespace App\Repositories\Validators\Area;
 */
class PointValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'cover' => 'required',
            'body' => 'nullable|sometimes',
            'type' => 'required|integer',
            'shop_id' => 'sometimes|integer',
            'project_id' => 'required|integer',
            'parent_id' => 'required|integer',
            'area_id' => 'required|integer',
            'status' => 'nullable|sometimes|integer'
        ],
        ValidatorInterface::RULE_UPDATE => ['name' => 'required',
            'cover' => 'required',
            'body' => 'nullable|sometimes',
            'type' => 'required|integer',
            'shop_id' => 'sometimes|integer',
            'project_id' => 'required|integer',
            'parent_id' => 'required|integer',
            'area_id' => 'required|integer',
            'status' => 'nullable|sometimes|integer'],
    ];
}
