<?php

namespace App\Repositories\Validators\Area;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class ProjectsValidator.
 *
 * @package namespace App\Repositories\Validators\Area;
 */
class ProjectsValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'show_title' => 'required',
            'point' => 'required|array',
            'areas' => 'required|array',
            'super_areas' => 'sometimes|nullable|array',
            'zoom' => 'sometimes|nullable',
            's_zoom' => 'sometimes|nullable',
            'sign' => 'nullable',
//            'end_time' => 'nullable|datetime',
            'status' => 'nullable|sometimes|integer'
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'show_title' => 'required',
            'point' => 'required|array',
            'areas' => 'required|array',
            'super_areas' => 'sometimes|nullable|array',
            'zoom' => 'sometimes|nullable',
            's_zoom' => 'sometimes|nullable',
//            'end_time' => 'nullable|datetime',
            'status' => 'nullable|sometimes|integer'
        ],
    ];
}
