<?php

namespace App\Repositories\Validators\Course;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class CourseVideoValidator.
 *
 * @package namespace App\Repositories\Validators;
 */
class VideoValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'course_id' => 'required|integer',
            'course_chapter_id' => 'required|integer',
            'title' => 'required',
            'url' => 'required',
            'duration' => 'required|integer',
            'description' => 'nullable',
            'published_at' => 'nullable|date',
            'comment_status' => 'nullable|integer',
            'subtitle_zh_path' => 'nullable|integer',
            'subtitle_en_path' => 'nullable|integer',
            'ban_drag' => 'nullable|integer',
            'sort' => 'nullable|integer',
            'status' => 'nullable|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
//            'course_id' => 'required|integer',
            'course_chapter_id' => 'required|integer',
            'title' => 'required',
            'url' => 'sometimes',
            'description' => 'required',
            'published_at' => 'sometimes|date',
            'duration' => 'required|integer',
            'comment_status' => 'required|integer',
            'subtitle_zh_path' => 'sometimes|integer',
            'subtitle_en_path' => 'sometimes|integer',
            'ban_drag' => 'sometimes|integer',
            'sort' => 'required|integer',
            'status' => 'required|integer',
        ],
    ];
}
