<?php

namespace App\Repositories\Validators\Exam;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class TopicValidator.
 *
 * @package namespace App\Repositories\Validators\Exam;
 */
class TopicValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'title' => 'required',
            'category_id' => 'nullable',
            'type' => 'required|integer',
            'level' => 'required|integer',
            'point' => 'required|integer',
            'body' => 'nullable',
            'result' => 'nullable',
            'is_open' => 'nullable',
            'analysis' => 'nullable',
            'status' => 'nullable',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'title' => 'required',
            'category_id' => 'nullable|integer',
            'type' => 'required|integer',
            'level' => 'required|integer',
            'point' => 'required|integer',
            'body' => 'nullable',
            'result' => 'nullable',
            'is_open' => 'required|integer',
            'analysis' => 'nullable',
            'status' => 'required|integer',
        ],
    ];
}
