<?php

namespace App\Repositories\Validators\Note;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class NoteValidator.
 *
 * @package namespace App\Repositories\Validators\Note;
 */
class NoteValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'title' => 'required',
            'type' => 'required|in:0,1',
            'body' => 'required',
            'course_id' => 'nullable|integer',
            'course_video_id' => 'nullable|integer',
            'tags' => 'nullable|array',
            'is_release' => 'nullable|in:0,1',
            'status' => 'nullable|integer'
        ],
        ValidatorInterface::RULE_UPDATE => [
            'title' => 'required',
            'type' => 'required|in:0,1',
            'body' => 'required',
            'course_id' => 'nullable|integer',
            'course_video_id' => 'nullable|integer',
            'tags' => 'nullable|array',
            'is_release' => 'nullable|in:0,1',
            'status' => 'nullable|integer'
        ],
    ];
}
