<?php

namespace App\Repositories\Validators\User;

use \Prettus\Validator\Contracts\ValidatorInterface;
use \Prettus\Validator\LaravelValidator;

/**
 * Class StudentValidator.
 *
 * @package namespace App\Repositories\Validators\User;
 */
class UserValidator extends LaravelValidator
{
    /**
     * Validation Rules
     *
     * @var array
     */
    protected $rules = [
        ValidatorInterface::RULE_CREATE => [
            'name' => 'required',
            'turename' => 'nullable',
            'username' => 'required',
            'role_id' => 'required|integer',
            'email' => 'nullable',
            'headimg' => 'sometimes',
            'mobile' => 'sometimes',
            'password' => 'sometimes|confirmed',
            'sex' => 'nullable|integer',
            'class' => 'nullable',
            'personal_signature' => 'nullable',
            'userrate' => 'nullable',
            'intro' => 'nullable',
            'status' => 'nullable|integer',
        ],
        ValidatorInterface::RULE_UPDATE => [
            'name' => 'required',
            'turename' => 'nullable',
            'username' => 'required',
            'role_id' => 'required|integer',
            'email' => 'nullable',
            'headimg' => 'sometimes',
            'mobile' => 'sometimes',
            'password' => 'nullable|confirmed',
            'sex' => 'nullable|integer',
            'class' => 'nullable',
            'personal_signature' => 'nullable',
            'userrate' => 'nullable',
            'intro' => 'nullable',
            'status' => 'nullable|integer',
        ],
    ];
}
